#include <Servo.h>

const int buttonPin = 4; // Broche du bouton poussoir
const int servoPin = 6; // Broche de contrôle du servomoteur

int buttonState = 0; // État actuel du bouton poussoir
int lastButtonState = 0; // État précédent du bouton poussoir
int angle = 0; // Angle de rotation du servomoteur

Servo monservo; // Création de l'objet Servo

void setup() {
  pinMode(buttonPin, INPUT);
  monservo.attach(servoPin);
  monservo.write(angle);
}

void loop() {
  buttonState = digitalRead(buttonPin);

  if (buttonState != lastButtonState) {
    if (buttonState == HIGH) {
      angle += 90; // Augmente l'angle de rotation de 90 degrés
      if (angle > 180) {
        angle = 0; // Réinitialise l'angle à 0 degrés après 180 degrés
      }
     monservo.write(angle);
    }
    delay(100); // Délai pour éviter les rebonds du bouton poussoir
  }

  lastButtonState = buttonState;
}
